<?php
	
	/* ======================================================================

	Script Name: Body Class
	Plugin URI: http://www.plumb-design.com/plugins
	Description: A Pulse CMS script to add class styles to the body tag based on the current page state.
				 Based on the WordPress body class - https://codex.wordpress.org/Function_Reference/body_class
	Usage:  <body <?php body_class( $extra-classes ); ?>>
			By default the function will return the whole class="foo bar baz"
			if you just want the class names then append true as a second parameter to the function;
			<body <?php body_class('foo bar baz',true); ?>>
	Version: 1.1
	Author: Tim Plumb
	Author URI: http://www.plumb-design.com
	License: GNU General Public License v2.0
	License URI: http://www.opensource.org/licenses/gpl-license.php

 	* ====================================================================== */
	
	//Is the user logged in?
	$loggedin = (isset($_COOKIE["mpass_pass-$path"]));
	
	//Is this the 404 page?
	$error404 = ($page == '404');
	
	//Current template name
    $template = (!empty($new_template) && file_exists("template/$new_template/layout.php")) ? 'page-template-'.$new_template : "page-template-default";
	
	//Is this the blog section?
    $blog = (($page == $url_prefix) || ((strpos($page, $url_prefix) === 0)));

    //Is this a single blog post
    $blogpost = ( ( ($page == $url_prefix) || (strpos($page, $url_prefix) === 0) ) && (!(empty($get_id)) && is_numeric($get_id) && $all_blog_files[$get_id]) );
	
	 //single post ID
    $postid = "";
    if ($blog && $blogpost && (!(empty($get_id)) && is_numeric($get_id) && $all_blog_files[$get_id])){
        $postid = "postid-".$get_id;
    }
    
	//body class(es)
    $body_classes = array();
    $body_classes[] = $page;
    if ($blog){
    	if ($blogpost){
    		$body_classes[] = "single-post";
    		$body_classes[] = $postid;
    		$body_classes[] = "day-".$day;
    		$body_classes[] = "month-".$month;
    		$body_classes[] = "year-".$year;
    	} else {
    		$body_classes[] = "blog-home";
    	}
    } else {
    	$body_classes[] = "page";
    }
    if ($loggedin){ $body_classes[] = "logged-in"; }
    if ($error404){ $body_classes[] = "error404"; }
    $body_classes[] = $template;
    
    //Create and output the body classes for the page
    function body_class($extra_classes,$raw){
    	global $body_classes;
    	if (isset($extra_classes) && $extra_classes !== "") { $body_classes[] = $extra_classes; }
    	$body_classes = join(' ', $body_classes);
    	if (!isset($raw) || $raw !== true){
    		$body_classes = ' class="'.$body_classes.'"';
    	}
    	echo($body_classes);
    }
    
?>